package com.geeks.constructor;

public class Box {

	private String color;
	private int height;
	private int width;
	private int length;
	
	public Box(){}
	
	public Box(String color){
		this.color = color;
	}
		
	public Box(int height, int width, int length){
		this.height = height;
		this.width = width;
		this.length = length;
	}
	
	public Box(String color, int height, int width, int length){
		this(height, width, length);
		this.color = color;
	}
	
	@Override
	public String toString() {
		return "Color:"+color+", height:"+height+", width:"+width+", length="+length;
	}
	
	public static void main(String[] args) {
		Box box1 = new Box();
		System.out.println(box1);
		
		Box box2 = new Box("Yellow");
		System.out.println(box2);
		
		Box box3 = new Box("Red", 2, 3, 4);
		System.out.println(box3);
		
		Box box4 = new Box(2, 3, 4);
		System.out.println(box4);
	}
}
